package com.xdf.creative;

import net.unicon.cas.client.configuration.EnableCasClient;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.boot.web.servlet.ServletComponentScan;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.ImportResource;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.transaction.annotation.EnableTransactionManagement;
import org.springframework.web.context.request.RequestContextListener;
import springfox.documentation.swagger2.annotations.EnableSwagger2;


@EnableConfigurationProperties
@EnableSwagger2
@ComponentScan(value = "com.xdf.**.**")
@MapperScan({"com.xdf.creative.**.mapper"})
@EnableTransactionManagement
@SpringBootApplication
@ServletComponentScan
//@EnableScheduling
@EnableAsync
public class CreativeApplication {

    public static void main(String[] args) {
        SpringApplication.run(CreativeApplication.class, args);
    }

    @Bean
    public RequestContextListener requestContextListener(){
        return new RequestContextListener();
    }


}
