package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 信息退回 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoBackQueryParam对象", description = "信息退回查询参数")
public class InfoBackQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    @NotNull(message = "主键id不能为空")
    private Long id;

    @ApiModelProperty(value = "外键id")
    private Long infoId;

    @ApiModelProperty(value = "链接名称")
    private String reason;

    @ApiModelProperty(value = "退回类型 1、初审退回  2、终审退回")
    private Integer backType;

    @ApiModelProperty(value = "退回操作人")
    private Long createUser;

    @ApiModelProperty(value = "退回时间")
    private Date backTime;


}
