package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import com.xdf.creative.module.entity.InfoAttachment;
import com.xdf.creative.module.entity.InfoDetail;
import com.xdf.creative.module.entity.InfoUrl;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 信息内容 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoContentQueryParam对象", description = "信息内容查询参数")
public class InfoContentAddQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "栏目类型id")
    private Long infoTypeId;

    @ApiModelProperty(value = "内容类型 0、图文形式 1 、超链接形式")
    private Integer contentType;

//
//    @ApiModelProperty(value = "内容状态 0 、草稿 1、待初审  2、待终审  3 终审通过  4、初审退回 5、终审退回 6 初审不通过 7终审不通过")
//    private Integer state;

    @ApiModelProperty(value = "图片地址")
    private String imageUrl;

    @ApiModelProperty(value = "来源地址")
    private String sourceUrl;

    @ApiModelProperty(value = "作者")
    private String author;

    @ApiModelProperty(value = "外键id")
    private String foreignId;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "保持類型 0 保存 1保持提交")
    private Integer saveType;


    /**
     * 信息详情
     */
    private InfoDetail infoDetail;

    /**
     * 附件列表
     */
    private List<InfoAttachment> attachmentList;

    /**
     * url列表
     */
    private List<InfoUrl> urlList;
}
