package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 信息和关键字关联表 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-11-27
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfContentKeywordQueryParam对象", description = "信息和关键字关联表查询参数")
public class InfoContentKeywordQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "信息id")
    private Long contentId;

    @ApiModelProperty(value = "关键词id")
    private Long keywordId;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;


}
