package com.xdf.creative.base.params.creative;
/**
 * @author : lgw
 * @date : 10:48 2022/9/19
 */

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @ClassName InnovationApplyQueryParam
 * @Description TODO
 * @Author Kxg
 * @Date 2022/9/19 10:48
 * @Version 1.0
 **/
@Data
@Accessors(chain = true)
@ApiModel(value = "InnovationApplyQueryParam对象", description = "创新创业大赛查询参数")
public class InnovationApplyQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "参赛组别")
    private String contestGroup;

    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "公司注册时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date companyRegisterDate;

    @ApiModelProperty(value = "注册资本")
    private String companyRegisterCapital;

    @ApiModelProperty(value = "法人代表")
    private String companyLegalPerson;

    @ApiModelProperty(value = "注册地")
    private String companyRegisterAddress;

    @ApiModelProperty(value = "办公地址")
    private String companyWorkAddress;

    @ApiModelProperty(value = "项目联系人")
    private String contactsName;

    @ApiModelProperty(value = "职务")
    private String contactsPosition;

    @ApiModelProperty(value = "手机号码")
    private String contactsPhone;

    @ApiModelProperty(value = "微信号")
    private String contactsWechat;

    @ApiModelProperty(value = "电子邮箱")
    private String contactsEamil;

    @ApiModelProperty(value = "公司及项目介绍")
    private String projectIntroduce;

    @ApiModelProperty(value = "公司融资情况")
    private String pojectInvestment;

    @ApiModelProperty(value = "公司专利技术及荣誉")
    private String pojectHonor;

    @ApiModelProperty(value = "2019年财务数据")
    private String financialDataOne;

    @ApiModelProperty(value = "2020年财务数据")
    private String financialDataTwo;

    @ApiModelProperty(value = "2021年财务数据")
    private String financialDataThree;

    @ApiModelProperty(value = "附件json")
    private String attachment;

    @ApiModelProperty(value = "逻辑删除，0：未删除，1：已删除")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
}
