package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-05
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "OauthTokenQueryParam对象", description = "查询参数")
public class OauthTokenQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    @NotNull(message = "不能为空")
    private Long id;

    @NotBlank(message = "不能为空")
    private String accessToken;

    @NotNull(message = "不能为空")
    private Long userId;

    private String permissions;

    private String roles;

    private Integer refreshToken;

    private Date expireTime;

    private Date createTime;

    private Date updateTime;


}
