package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 账户操作日志 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-06
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysOperateLogQueryParam对象", description = "账户操作日志查询参数")
public class SysOperateLogQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "ip地址")
    private String ip;

    @ApiModelProperty(value = "操作名称")
    private String name;

    @ApiModelProperty(value = "操作内容")
    private String content;

    @ApiModelProperty(value = "类型 1登录成功 2登录失败")
    private Integer type;

    @ApiModelProperty(value = "开始创建时间")
    private Date startCreateTime;

    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "方法名称")
    private String method;

    @ApiModelProperty(value = "用户名")
    private String userName;

    @ApiModelProperty(value = "昵称")
    private String nickName;


}
