package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 操作日志 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-02
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysOperationLogQueryParam对象", description = "操作日志查询参数")
public class SysOperationLogQueryParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "用户操作日志主键")
    @TableId(value = "id", type = IdType.AUTO)
    @NotNull(message = "用户操作日志主键不能为空")
    private Long id;

    @ApiModelProperty(value = "日志名称")
    private String logName;

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "api名称")
    private String api;

    @ApiModelProperty(value = "方法名称")
    private String method;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "是否执行成功(0失败1成功)")
    private Integer succeed;

    @ApiModelProperty(value = "具体消息备注")
    private String detail;


}
