package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.hibernate.validator.constraints.NotBlank;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 组织信息 查询参数对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-11-05
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysOrganizeQueryParam对象", description = "组织信息查询参数")
public class SysOrganizeAddParkParam extends QueryParam {
    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "组织名称")
    @NotNull(message = "机构名称不能为空！")
    private String organizeName;

    @ApiModelProperty(value = "管辖区域")
    private Long popedomId;


    @ApiModelProperty(value = "管辖区域")
    @NotBlank(message = "行政区域不能为空！")
    private String regionId;

    @ApiModelProperty(value = "0 不添加用户 1添加用户")
    private Integer isCreateUser;

    @ApiModelProperty(value = "用户名")
    private String username;

    @ApiModelProperty(value = "密码")
    private String password;


    @ApiModelProperty(value = "账户手机号")
    private String mobile;

    @ApiModelProperty(value = "昵称")
    private String nickname;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "性别，0：女，1：男，默认1")
    private Integer gender;

    @ApiModelProperty(value = "头像")
    private String head;

    @ApiModelProperty(value = "详细地址")
    @NotNull(message = "园区地址不能为空")
    private String address;

    @ApiModelProperty(value = "联系人")
    @NotNull(message = "园区联系人不能为空")
    private String contactor;

    @ApiModelProperty(value = "联系电话")
    private String phone;


    @ApiModelProperty(value = "入驻企业个数")
    private Integer cntComJoin;

    @ApiModelProperty(value = "文创企业个数")
    private Integer cntComCult;


    @ApiModelProperty(value = "申报单位")
    @NotNull(message = "园区管理公司不能为空")
    private String parentCom;

    @ApiModelProperty(value = "所属省")
    private String province;

    @ApiModelProperty(value = "所属市")
    private String city;

    @ApiModelProperty(value = "所属区")
    private String district;



}
