package com.xdf.creative.base.params.creative;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 系统权限 查询参数对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-11-07
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "SysPermissionQueryParam对象", description = "系统权限查询参数")
public class SysPermissionCurrentUserParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键")
    @NotNull(message ="用户id不能为空")
    private Long userId;

    @ApiModelProperty(value = "类型，0 目录 1：菜单，2：按钮 3 url")
    private Integer type;

}
