package com.xdf.creative.base.params.dt;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.params.QueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.util.Date;

/**
 * <p>
 * 园区入会申请 查询参数对象
 * </p>
 *
 * @author lgw
 * @date 2020-04-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "WebParkEnterQueryParam对象", description = "园区入会申请查询参数")
public class WebParkEnterBackParam extends QueryParam {
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    @NotNull(message = "未选择数据！")
    private Long id;

    @ApiModelProperty(value = "处理过程状态 1 待处理 2沟通中 3 已完结（入住） 4已完结（未入住）")
    @NotNull(message = "请选择处理状态！")
    private Integer processState;

    @ApiModelProperty(value = "处理描述")
    private String detail;



}
