package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 文件库 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-03-31
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "InfoStoreQueryVo对象", description = "文件库查询参数")
public class InfoStoreQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "图片名称")
    private String name;

    @ApiModelProperty(value = "图片地址")
    private String address;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "上传人id")
    private Long createUserId;

    @ApiModelProperty(value = "资源类型 1、图片 2、文件")
    private Integer type;

    @ApiModelProperty(value = "文件类型")
    private String fileType;

    @ApiModelProperty(value = "状态 0、不可用 1、可用")
    private Integer state;

}