package com.xdf.creative.base.vo.creative;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 文促会入会申请表 查询结果对象
 * </p>
 *
 * @author DeanYe
 * @date 2019-10-30
 */
@Data
@ApiModel(value = "WebInitiationApplyQueryVo对象", description = "文促会入会申请表查询参数")
public class WebInitiationApplyExportVo {

    @ApiModelProperty(value = "单位名称")
    private String name;

    @ApiModelProperty(value = "统一社会信用代码")
    private String creditCode;

    @ApiModelProperty(value = "机关类型  1、国营企业 2、事业单位  3、民营企业 4、社会组织")
    private String unitTypeStr;

    @ApiModelProperty(value = "注册地址省")
    private String provinceStr;

    @ApiModelProperty(value = "注册地址市")
    private String cityStr;

    @ApiModelProperty(value = "注册地址区")
    private String countyStr;

    @ApiModelProperty(value = "主要办公地址")
    private String contactAddress;

    @ApiModelProperty(value = "邮编")
    private String post;

    @ApiModelProperty(value = "公司网址")
    private String website;

    @ApiModelProperty(value = "法人姓名")
    private String legalPerson;

    @ApiModelProperty(value = "法人职务")
    private String legalDuty;

    @ApiModelProperty(value = "固定电话")
    private String legalPhone;

    @ApiModelProperty(value = "手机号")
    private String legalMobile;

    @ApiModelProperty(value = "日常联系人姓名")
    private String linkMan;

    @ApiModelProperty(value = "日常联系人职务")
    private String linkDuty;

    @ApiModelProperty(value = "日常联系人固定电话")
    private String linkPhone;

    @ApiModelProperty(value = "日常联系人手机号")
    private String linkMobile;


    @ApiModelProperty(value = "法人简介")
    private String legalIntroduction;

    @ApiModelProperty(value = "单位简介")
    private String introduction;

    @ApiModelProperty(value = "专列与荣誉")
    private String honner;

    @ApiModelProperty(value = "金融服务 1、股权 2、债权 3、担保 4、融资租赁 5、其他")
    private String financeServiceStr;

    @ApiModelProperty(value = "产业合作 1、对接上下游企业资源 2、展会参展 3、园区入驻")
    private String industryStr;

    @ApiModelProperty(value = "企业服务 1、扶持资金 2、信用评级 3、知识与版权交易 4、财务与法律资讯 5、投融资对接")
    private String companyServiceStr;

    @ApiModelProperty(value = "其他")
    private String otherService;

    @ApiModelProperty(value = "申报产业类别：1、媒体业 2、艺术业 3、工业设计 4、建筑设计业 5、时尚设计业  6、互联网相关服务业 7、软件与信息技术服务业8、咨询服务业9、广告及会展服务业  10、休闲娱乐业 11、文化装备制造业12、文化创意投资运营13、文化创意用品生产")
    private String declareCategoryStr;

    @ApiModelProperty(value = "希望成为哪一级会员  1、普通会员 2、理事会员  3、常务理事会员")
    private String vipLevelStr;

    private String logo;

    private String attachment;


    @ApiModelProperty(value = "申请附件")
    private String applyAttachment;

}