package com.xdf.creative.base.vo.dt;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;

import java.util.Date;

/**
 * <p>
 * 企业上传 查询结果对象
 * </p>
 *
 * @author lgw
 * @date 2020-05-07
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "DtUploadCompanyQueryVo对象", description = "企业上传查询参数")
public class DtUploadCompanyQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    private Long id;

    @ApiModelProperty(value = "园区名称")
    private String organizeName;

    @ApiModelProperty(value = "组织id")
    private Long orgParkId;

    @ApiModelProperty(value = "园区库id")
    private Long bizParkId;

    @ApiModelProperty(value = "企业名称")
    private String companyName;

    @ApiModelProperty(value = "企业统一社会信用代码")
    private String serialNumber;

    @ApiModelProperty(value = "企业法人名字")
    private String legalPersonName;

    @ApiModelProperty(value = "注册资本数字")
    private String regCapitalNo;

    @ApiModelProperty(value = "注册资本单位")
    private String unit;

    @ApiModelProperty(value = "注册资本")
    private String regCapital;

    @ApiModelProperty(value = "所属行业名称")
    private String cateName;

    @ApiModelProperty(value = "成立日期")
    private Date estiblishTime;

    @ApiModelProperty(value = "是否为个体户 0否 1是")
    private Integer companyType;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    @ApiModelProperty(value = "上传时间")
    private Date createTime;

    @ApiModelProperty(value = "更新状态 1、新增 （待处理）    2、更新（待处理） 3、删除（待处理） ")
    private Integer state;

    @ApiModelProperty(value = "处理状态1、待处理   2、已处理（成功） 3已处理（失败） 4 未找到")
    private Integer disposeState;

}