package com.xdf.creative.config;

/*
*
 * @author : lgw
 * @date : 9:59 2020/3/16

*/

import com.alibaba.fastjson.JSON;
import com.xdf.creative.enums.ApiCode;
import com.xdf.creative.util.PasswordUtil;
import com.xdf.creative.util.UUIDUtil;
import com.xdf.creative.util.page.ApiResult;
import org.apache.commons.codec.digest.DigestUtils;
import org.apache.shiro.web.util.WebUtils;
import org.jasig.cas.client.util.AbstractCasFilter;
import org.jasig.cas.client.validation.Assertion;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.web.servlet.FilterRegistrationBean;
import org.springframework.context.annotation.Bean;
import org.springframework.core.annotation.Order;
import org.springframework.stereotype.Component;
import org.springframework.util.Assert;
import org.springframework.web.cors.*;
import org.springframework.web.filter.CorsFilter;
import org.springframework.web.servlet.HandlerInterceptor;

import javax.servlet.*;
import javax.servlet.http.Cookie;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Arrays;
import java.util.List;
/*
避免传参跨域
*/


@Component
@Order(-1)
public class CorsFilterUser implements Filter {
/*    @Value("${cas.server-url-prefix}")
    private String CAS_URL;*/
    @Value("${auth_skip_urls}")
    private List<String> skipAuthUrls;

    private final static Logger log = LoggerFactory.getLogger(CorsFilterUser.class);

    private final static List<String> heardSList = Arrays.asList("School-Teacher-Token", "school-teacher-token", "x-access-token", "Referer", "Accept", "Origin", "X-Requested-With", "Content-Type", "Last-Modified", "token", "Authorization");
    private final CorsConfigurationSource configSource;
    private CorsProcessor processor = new DefaultCorsProcessor();


    public CorsFilterUser(@Qualifier("faviconRequestHandler") CorsConfigurationSource configSource) {
        Assert.notNull(configSource, "CorsConfigurationSource must not be null");
        this.configSource = configSource;
    }

    public void setCorsProcessor(CorsProcessor processor) {
        Assert.notNull(processor, "CorsProcessor must not be null");
        this.processor = processor;
    }

    @Bean
    public FilterRegistrationBean corsFilter() {
        UrlBasedCorsConfigurationSource source = new UrlBasedCorsConfigurationSource();
        CorsConfiguration config = new CorsConfiguration();
        config.setAllowCredentials(true);
        config.addAllowedOrigin("*");
        config.addAllowedMethod("*");
        config.setAllowedHeaders(heardSList);
        config.setAllowCredentials(true);
        source.registerCorsConfiguration("/**", config);
        FilterRegistrationBean bean = new FilterRegistrationBean(new CorsFilter(source));
        bean.setOrder(-1000);  //优先级最高 在拦截器之前执行
        return bean;
    }

    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain) throws IOException, ServletException {

        HttpServletResponse httpResponse = (HttpServletResponse) response;
        HttpServletRequest httpRequest = (HttpServletRequest) request;
      /*  httpResponse.setHeader("Set-Cookie", "CookieName=JSESSIONID;Path=/;SameSite=None;Secure");
          if(!skipAuthUrls.contains(httpRequest.getRequestURI().substring(httpRequest.getContextPath().length(),httpRequest.getRequestURI().length()))){
            HttpSession session = httpRequest.getSession(false);
            if(null!=session) {
                Assertion assertion = (Assertion) session.getAttribute(AbstractCasFilter.CONST_CAS_ASSERTION);
                if(null!=assertion) {
                    String username = assertion.getPrincipal().getName();
                    Long userId = Long.parseLong((String) assertion.getPrincipal().getAttributes().get("id"));
                }else{
                    ApiResult result = new ApiResult();
                    result.setCode(ApiCode.TOKEN_INVALID.getCode());
                    result.setMsg(ApiCode.TOKEN_INVALID.getMsg());
                    getResponseResult(response, result);
                    return ;
                }
            }else{
                ApiResult result = new ApiResult();
                result.setCode(ApiCode.TOKEN_INVALID.getCode());
                result.setMsg(ApiCode.TOKEN_INVALID.getMsg());
                getResponseResult(response, result);
                return ;

            }
        }*/

        chain.doFilter(httpRequest, httpResponse);
    }

    /*
     *
     * 返回结果
     *
     * @param response
     */

    public void getResponseResult(ServletResponse response, ApiResult result) {
        response.setCharacterEncoding("UTF-8");
        response.setContentType("application/json;charset=utf-8");
        PrintWriter printWriter = null;
        try {
            printWriter = WebUtils.toHttp(response).getWriter();
            printWriter.write(JSON.toJSONString(result));
        } catch (Exception e) {
            log.error(e.getMessage(), e);
        } finally {
            if (null != printWriter) {
                printWriter.close();
            }
        }
    }

    @Override
    public void destroy() {

    }
}
