package com.xdf.creative.config;

import lombok.Getter;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.scheduling.Trigger;
import org.springframework.scheduling.TriggerContext;
import org.springframework.scheduling.annotation.SchedulingConfigurer;
import org.springframework.scheduling.config.ScheduledTaskRegistrar;
import org.springframework.scheduling.support.CronTrigger;

import java.io.File;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

@Slf4j
/*@Getter
@Setter
@Configuration*/
public class CustomScheduled implements SchedulingConfigurer {

    private String cron = "0 0 0 */1 * ?";

    @Value("${upload_basePath}")
    private String basePath;
    @Value("${wx_basePath}")
    private String wxPath;

    public CustomScheduled() {
        this.cron = cron;
    }

    @Override
    public void configureTasks(ScheduledTaskRegistrar scheduledTaskRegistrar) {
        scheduledTaskRegistrar.addTriggerTask(doTask(), getTrigger());
    }

    /**
     * 业务执行方法
     *
     * @return
     */

    private Runnable doTask() {
        return new Runnable() {
            @Override
            public void run() {
              /*  SimpleDateFormat simpleDateFormat = new SimpleDateFormat("yyyy-MM-dd");
                Date date = new Date();
                Calendar calendar = Calendar.getInstance();//new一个Calendar类,把Date放进去
                calendar.setTime(date);
                //控制台打印的日期为明天日期,2019-06-11
                //此时的日期为明天的日期,要实现昨天,日期应该减二
                calendar.add(Calendar.DATE, -1);
                String indexFileName = simpleDateFormat.format(calendar.getTime());
                File file = new File(basePath+wxPath);//里面输入特定目录
                File temp = null;
                File[] filelist = file.listFiles();
                for (int i = 0; i < filelist.length; i++) {
                    temp = filelist[i];
                    if (temp.getName().startsWith(indexFileName))//获得文件名，如果后缀为“”，这个你自己写，就删除文件
                    {
                        temp.delete();//删除文件
                        System.out.println();
                    }
                }
                log.error("后缀文件为"+indexFileName+"删除");*/
            }
        };
    }


    /**
     * 业务触发器
     *
     * @return
     */

    private Trigger getTrigger() {
        return new Trigger() {
            @Override
            public Date nextExecutionTime(TriggerContext triggerContext) {
                // 触发器
                CronTrigger trigger = new CronTrigger(cron);
                return trigger.nextExecutionTime(triggerContext);
            }
        };
    }


}