/**
 * Copyright (c) 2016-2019 人人开源 All rights reserved.
 * <p>
 * https://www.renren.io
 * <p>
 * 版权所有，侵权必究！
 */

package com.xdf.creative.config.xss;
import com.xdf.creative.enums.StatusCode;
import com.xdf.creative.support.exception.InfoFormException;
import org.apache.commons.lang3.StringUtils;

/**
 * SQL过滤
 *
 * @author Mark sunlightcs@gmail.com
 */
public class SQLFilter {

    /**
     * SQL注入过滤
     * @param str  待验证的字符串
     */
    public static String sqlInject(String str) {
        if (StringUtils.isBlank(str)) {
            return null;
        }
        //转换成小写
        String value = str.toLowerCase();
        //非法字符
        String[] keywords = {"master", "truncate", "insert", "select", "delete",  "alert", "drop"};

        //判断是否包含非法字符
        for (String keyword : keywords) {
            if (value.indexOf(keyword) != -1) {
                throw new InfoFormException(StatusCode.FORM_INFO_CONTENT_FORDATE_VERIFY);
            }
        }

        str = str.replaceAll("%(?![0-9a-fA-F]{2})", "%25");
        return str;
    }
}
