
package com.xdf.creative.constant;

/**
 * 常量
 *
 */
public interface CommonConstant {
    /**
     * 默认页码为1
     */
    Integer DEFAULT_PAGE_INDEX = 1;

    /**
     * 默认页大小为10
     */
    Integer DEFAULT_PAGE_SIZE = 10;


    Integer KEY_WORD_MAX_SIZE = 4;

    /**
     * 默认降序排序
     */
    boolean DEFAULT_PAGE_ORDER_TYPE = false;

    /**
     * 登录用户
     */
    String LOGIN_SYS_USER = "loginSysUser";

    String REGION_ROOT_CODE="310000";

    String XDF_CULTURE_PARK_INFO_CONTENT_RECOMMEND_KEY = "parkContentInfoRecommend";
    String XDF_CULTURE_PARK_INFO_CONTENT_RECOMMEND = "xdf:wch:park:content:recommend:%s";

    String XDF_CULTURE_INFO_DETAIL_PARK_RECOMMEND_KEY = "contentInfoParkRecommend";
    String XDF_CULTURE_INFO_DETAIL_PARK_RECOMMEND = "xdf:wch:detail:park:recommend:%s";

    String XDF_CULTURE_INFO_DETAIL_RENT_RECOMMEND_KEY = "contentInfoRentRecommend";
    String XDF_CULTURE_INFO_DETAIL_RENT_RECOMMEND = "xdf:wch:detail:rent:recommend:%s";

    /**
     * JWT用户名
     */
    String JWT_USERID = "userId";

    /**
     * 登录类型
     */
    String JWT_LOGINTYPE = "loginType";

    /**
     * 登录组织id
     */
    String JWT_ORGANIZE = "organizeId";

    /**
     * 登录组织辖区id
     */
    String JWT_REGIONID = "regionId";

    /**
     * 登录组织类型 0 普通用户  1、企业  2、金融机构 3、投资机构 4、服务机构 5、园区 6、协（商会）  7、项目管理公司 8 区文创办 9 市文创办  99 公司后台管理
     */
    String JWT_ORGANIZETYPE = "organizeType";

    /**
     * JWT用户名
     */
    String JWT_USERNAME = "username";

    /**
     * JWT刷新新token响应状态码
     */
    int JWT_REFRESH_TOKEN_CODE = 4460;

    /**
     * JWT刷新新token响应状态码，
     * Redis中不存在，但jwt未过期，不生成新的token，返回4461状态码
     */
    int JWT_INVALID_TOKEN_CODE = 4461;


    /**
     * 初始密码
     */
    String INIT_PWD = "123456";

    /**
     * 默认头像
     */
    String DEFAULT_HEAD_URL = "";

    /**
     * 管理员角色名称
     */
    String ADMIN_ROLE_NAME = "管理员";

    String ADMIN_LOGIN = "adminLogin";

    /**
     * 验证码token
     */
    String VERIFY_TOKEN = "verifyToken";

    /**
     * 图片
     */
    String IMAGE = "image";

    /**
     * JPEG
     */
    String JPEG = "JPEG";

    /**
     * base64前缀
     */
    String BASE64_PREFIX = "data:image/png;base64,";

    String VERIFY_CODE_KEY ="f80b2eed0110a7ea5a3428b74862cceb697f8";

    /**
     * 图片验证码
     */
    String VERIFY_CODE_GET = "xdf_wch:verify.code:%s:%s";
}
