package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum InfoPublicPropertyTypeEnum {
    /**
     * 信息分类 ：1、banner新闻  2、公告列表  3、文促会动态  4、行业动态 5、政策动态 6、文化活动
     */
    PUBLIC_PROPERTY_TYPE_BANNER_NEWS(1, "TP"),
    PUBLIC_PROPERTY_TYPE_NOTICE(2, "GG"),
    PUBLIC_PROPERTY_TYPE_PROMOTE_NEWS(3, "XW"),
    PUBLIC_PROPERTY_TYPE_DLL(4, "HY"),
    PUBLIC_PROPERTY_TYPE_SUPPORT(5, "FC"),
    PUBLIC_PROPERTY_TYPE_REPORT(6, "AC");
    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (InfoPublicPropertyTypeEnum sysSignState : InfoPublicPropertyTypeEnum.values()) {
            if (sysSignState.code == code) {
                return sysSignState.name;
            }
        }
        return null;
    }
}
