package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
/**
 * 内容状态  0 、草稿 1、待初审  2、待终审  3 终审通过  4、初审退回 5、终审退回 6 初审不通过 7终审不通过
 */
public enum InfoStateTypeEnum {
    INFO_STATE_TYPE_DRAFT(0, "草稿"),
    INFO_STATE_TYPE_FIRST_AUDIT(1, "待初审"),
    INFO_STATE_TYPE_FINAL_AUDIT_STAY(2, "待终审"),
    INFO_STATE_TYPE_FINAL_AUDIT_PASS(3, "终审通过"),
    INFO_STATE_TYPE_FIRST_AUDIT_BACK(4, "初审退回"),
    INFO_STATE_TYPE_FINAL_AUDIT_BACK(5, "终审退回"),
    INFO_STATE_TYPE_FIRST_AUDIT_NOPASS(6, "初审不通过"),
    INFO_STATE_TYPE_FINAL_AUDIT_NOPASS(7, "终审不通过");
    private Integer code;
    private String name;
    public static String getNameByCode(Integer code) {
        for (InfoStateTypeEnum organizeTypeEnum : InfoStateTypeEnum.values()) {
            if (organizeTypeEnum.code == code) {
                return organizeTypeEnum.name;
            }
        }

        return null;
    }
}
