package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
/**
 * 组织类型: 0 普通用户  1、企业  2、金融机构 3、投资机构 4、服务机构 5、园区 6、协（商会）
 * 7、项目管理公司 8 区文创办 9 市文创办  99 公司后台管理
 */
public enum OrganizeTypeEnum {
    ORGANIZE_ORDINARY(0, "普通用户"),
    ORGANIZE_COMPANY(1, "企业用户"),
    ORGANIZE_FINANCE(2, "金融机构"),
    ORGANIZE_INVEST(3, "投资机构"),
    ORGANIZE_SERVICE(4, "服务机构"),
    ORGANIZE_PARK(5, "园区机构"),
    ORGANIZE_ASSOCIATION(6, "协会"),
    ORGANIZE_PROJECT_MANAGE(7, "项目管理公司"),
    ORGANIZE_DISTRICT(8, "区文创办"),
    ORGANIZE_CITY(9, "市文创办"),
    ORGANIZE_MANAGE(99, "公司"),
    ;
    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (OrganizeTypeEnum organizeTypeEnum : OrganizeTypeEnum.values()) {
            if (organizeTypeEnum.code == code) {
                return organizeTypeEnum.name;
            }
        }

        return null;
    }
}
