package com.xdf.creative.enums;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum ServiceFileDirEnum {
    // 0 banner 101 1 公告信息 102 2文创会动态 103 3行业动态 106 4政策动态 108 5 文化活动activity 109
    SERVICE_FILE_DIR_PUBLIC_BANNER(101, "banner"),
    SERVICE_FILE_DIR_PUBLIC_NOTICE(102, "notice"),
    SERVICE_FILE_DIR_PUBLIC_DYNAMIC(103, "dynamic"),
    SERVICE_FILE_DIR_PUBLIC_TRADE_DYNAMIC(106, "tradeDynamic"),
    SERVICE_FILE_DIR_PUBLIC_POLICY(108, "policy"),
    SERVICE_FILE_DIR_PUBLIC_ACTIVITY(109, "activity"),
    SERVICE_FILE_DIR_PUBLIC_QR(110, "wxqr"),
    SERVICE_FILE_DIR_PUBLIC_APPLY(113, "apply"),
    //创新创页大赛
    SERVICE_FILE_DIR_PUBLIC_INNOVATION(114, "innovationApply"),
    //其他
    SERVICE_FILE_DIR_OTHER(999, "other");


    private Integer code;
    private String name;

    public static String getNameByCode(Integer code) {
        for (ServiceFileDirEnum boundTypeEnum : ServiceFileDirEnum.values()) {
            if (boundTypeEnum.code == code) {
                return boundTypeEnum.name;
            }
        }
        return null;
    }
}
