/*
package com.xdf.creative.module.controller;

import com.alibaba.fastjson.JSONException;
import com.xdf.creative.enums.ApiCode;
import com.xdf.creative.enums.LoginTypeEnum;
import com.xdf.creative.module.service.OauthTokenService;
import com.xdf.creative.shiro.jwt.JwtUtil;
import com.xdf.creative.util.CookieUtils;
import com.xdf.creative.util.StringUtil;
import com.xdf.creative.util.page.ApiResult;
import org.jasig.cas.client.util.AbstractCasFilter;
import org.jasig.cas.client.validation.Assertion;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import java.io.IOException;

@Controller
public class LoginController {


    @Value("${cas.server-url-prefix}")
    private String CAS_URL;

    @Value("${cas.client-host-url}")
    private String APP_URL;

    @Value("${client-host-logout-url}")
    private String APP_OUT_URL;

    @Value("${client-host-logout-back-url}")
    private String APP_BACK_OUT_URL;

    @Value("${client-host-home-url}")
    private String APP_HOME_URL;


    @Autowired
    private OauthTokenService oauthTokenService;

    private Logger log = LoggerFactory.getLogger(LoginController.class);


    @GetMapping("/loginIndex")
    @ResponseBody
    public ApiResult loginIndex(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
        String loginUrl = request.getParameter("loginUrl");
        HttpSession session = request.getSession(false);
        String userType = "";
        if (null != session) {
            Assertion assertion = (Assertion) session.getAttribute(AbstractCasFilter.CONST_CAS_ASSERTION);
            if (assertion != null) {
                userType = (String) assertion.getPrincipal().getAttributes().get("user_type");
            }
        }
        log.error("login:" + CookieUtils.getCookie(request, "JSESSIONID"));
        response.setHeader("Access-Control-Allow-Origin", "*");
        response.setHeader("Access-Control-Allow-Headers", "x-requested-with,content-type");
        response.sendRedirect(CAS_URL + "?service=" + loginUrl + */
/*"?jsessionid=" + jsonId+*//*
"?loginType=" + userType);
        return ApiResult.ok();
    }


    @GetMapping("/loginHome")
    @ResponseBody
    public ApiResult loginHome(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
        HttpSession session = request.getSession(false);
        String userType = "";
        if (null != session) {
            Assertion assertion = (Assertion) session.getAttribute(AbstractCasFilter.CONST_CAS_ASSERTION);
            if (assertion != null) {
                userType = (String) assertion.getPrincipal().getAttributes().get("user_type");
            }
        }
        response.setHeader("Access-Control-Allow-Origin", "*");
        response.setHeader("Access-Control-Allow-Headers", "x-requested-with,content-type");
        response.sendRedirect(response.encodeRedirectURL(CAS_URL + "?service=" + APP_HOME_URL + */
/*"?jsessionid=" + jsonId+*//*
"?loginType=" + userType));
        return ApiResult.ok();
    }


    @GetMapping("/index")
    @ResponseBody
    public ApiResult index(HttpServletRequest request, HttpServletResponse response) throws IOException, ServletException {
        request.getSession(true);
        return ApiResult.ok();
    }


    @GetMapping("/validate")
    @ResponseBody
    public ApiResult validate(HttpServletRequest request, HttpServletResponse response) throws JSONException {
        HttpSession session = request.getSession(false);
        if (null != session) {
            Assertion assertion = (Assertion) session.getAttribute(AbstractCasFilter.CONST_CAS_ASSERTION);
            if (assertion == null || assertion.getPrincipal().getName() == null) {
                return ApiResult.result(ApiCode.TYRZ_SERVICE_EXCEPTION, CAS_URL + "/login?service=" + "http://app.tyrz.com:8999/wcapi/loginIndex");
            } else {
                return ApiResult.ok();
            }
        } else {
            return ApiResult.result(ApiCode.TYRZ_SERVICE_EXCEPTION, CAS_URL + "/login?service=" + "http://app.tyrz.com:8999/wcapi/loginIndex");
        }
    }

    //登出
    @RequestMapping("/logout")
    @ResponseBody
    public ApiResult logout(HttpServletRequest request, HttpServletResponse response) throws IOException {
        HttpSession httpSession = request.getSession(false);
        String userType = "";
        if (null != httpSession) {
            Assertion assertion = (Assertion) httpSession.getAttribute(AbstractCasFilter.CONST_CAS_ASSERTION);
            if (assertion != null) {
                userType = (String) assertion.getPrincipal().getAttributes().get("user_type");

            }
        }
        if (null != httpSession) {
            httpSession.invalidate();
        }
        String token = request.getHeader("Authorization");
        Long userId = JwtUtil.getUserId(token);
        oauthTokenService.removeTokenByUserId(userId);
        if (StringUtil.isEmpty(userType)) {
            String type = request.getParameter("type");
            if (LoginTypeEnum.LOGIN_TYPE_FAIL.getCode().toString().equals(type)) {
                response.sendRedirect(CAS_URL + "/logout?service=" + APP_BACK_OUT_URL);
            } else {
                response.sendRedirect(CAS_URL + "/logout?service=" + APP_OUT_URL);
            }

        } else {
            if (LoginTypeEnum.LOGIN_TYPE_FAIL.getCode().toString().equals(userType)) {
                response.sendRedirect(CAS_URL + "/logout?service=" + APP_BACK_OUT_URL);
            } else {
                response.sendRedirect(CAS_URL + "/logout?service=" + APP_OUT_URL);
            }
        }
        return ApiResult.ok();
    }
}
*/
