package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 信息退回
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoBack对象", description = "信息退回")
public class InfoBack extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "外键id")
    private Long infoId;

    @ApiModelProperty(value = "链接名称")
    private String reason;

    @ApiModelProperty(value = "退回类型 1、初审退回  2、终审退回")
    private Integer backType;

    @ApiModelProperty(value = "退回操作人")
    private Long createUser;

    @ApiModelProperty(value = "退回时间")
    private Date backTime;

}
