package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 信息内容
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoContent对象", description = "信息内容")
public class InfoContent extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "栏目类型id")
    private Long infoTypeId;

    @ApiModelProperty(value = "内容类型 0、图文形式 1 、超链接形式")
    private Integer contentType;

    @ApiModelProperty(value = "图片地址")
    private String imageUrl;

    @ApiModelProperty(value = "来源地址")
    private String sourceUrl;

    @ApiModelProperty(value = "作者")
    private String author;

    @ApiModelProperty(value = "外键id")
    private String foreignId;

    @ApiModelProperty(value = "内容状态 0 、草稿 1、待初审  2、待终审  3 终审通过  4、初审退回 5、终审退回")
    private Integer state;

    @ApiModelProperty(value = "创建用户")
    private Long createUser;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;


    @ApiModelProperty(value = "创建时间")
    private Date updateTime;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "初审人员")
    private Long firstAuditUser;

    @ApiModelProperty(value = "初审时间")
    private Date firstAuditTime;

    @ApiModelProperty(value = "终审人员")
    private Long finalAuditUser;

    @ApiModelProperty(value = "终审时间")
    private Date finalAuditTime;

    @ApiModelProperty(value = "终审排序时间")
    private Date orderAuditTime;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "是否置顶 0否 1是")
    private Integer istop;

    @ApiModelProperty(value = "置顶时间")
    @TableField(strategy = FieldStrategy.IGNORED)
    private Date istopTime;

    @ApiModelProperty(value = "上下状态 0 下线 1上线")
    private Integer onlineType;


    @ApiModelProperty(value = "逻辑删除，0：未删除，1：已删除")
    private Integer deleted;

}
