package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import java.util.Date;

/**
 * <p>
 * 词管理
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "InfoWordManage对象", description = "词管理")
public class InfoWordManage extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "敏感词")
    @NotBlank(message = "敏感词不能为空")
    private String word;

    @ApiModelProperty(value = "替换内容")
    @NotBlank(message = "替换内容不能为空")
    private String replaceContent;

    @ApiModelProperty(value = "维护人")
    private Long accendantUser;

    @ApiModelProperty(value = "维护时间")
    private Date accendantTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

}
