package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.validator.constraints.Length;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author KanXianggui
 * @since 2022-10-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("web_innovation_apply")
@ApiModel(value = "InnovationApply对象", description = "")
public class InnovationApply implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "ID")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "参赛组别")
    private String contestGroup;

    @ApiModelProperty(value = "公司名称")
    @Length(message = "公司名称不能超过个 {max} 字符", max = 100)
    private String companyName;

    @ApiModelProperty(value = "公司注册时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date companyRegisterDate;

    @ApiModelProperty(value = "注册资本")
    @Length(message = "注册资本不能超过个 {max} 字符", max = 255)
    private String companyRegisterCapital;

    @ApiModelProperty(value = "法人代表")
    @Length(message = "法人代表不能超过个 {max} 字符", max = 100)
    private String companyLegalPerson;

    @ApiModelProperty(value = "注册地")
    @Length(message = "注册地不能超过个 {max} 字符", max = 500)
    private String companyRegisterAddress;

    @ApiModelProperty(value = "办公地址")
    @Length(message = "办公地址不能超过个 {max} 字符", max = 500)
    private String companyWorkAddress;

    @ApiModelProperty(value = "项目联系人")
    @Length(message = "项目联系人不能超过个 {max} 字符", max = 50)
    private String contactsName;

    @ApiModelProperty(value = "职务")
    @Length(message = "职务不能超过个 {max} 字符", max = 50)
    private String contactsPosition;

    @ApiModelProperty(value = "手机号码")
    @Length(message = "手机号码不能超过个 {max} 字符", max = 50)
    private String contactsPhone;

    @ApiModelProperty(value = "微信号")
    @Length(message = "微信号不能超过个 {max} 字符", max = 100)
    private String contactsWechat;

    @ApiModelProperty(value = "电子邮箱")
    @Length(message = "电子邮箱不能超过个 {max} 字符", max = 100)
    private String contactsEamil;

    @ApiModelProperty(value = "公司及项目介绍")
    @Length(message = "公司及项目介绍不能超过个 {max} 字符", max = 2000)
    private String projectIntroduce;

    @ApiModelProperty(value = "公司融资情况")
    @Length(message = "公司融资情况不能超过个 {max} 字符", max = 2000)
    private String pojectInvestment;

    @ApiModelProperty(value = "公司专利技术及荣誉")
    @Length(message = "公司专利技术及荣誉不能超过个 {max} 字符", max = 2000)
    private String pojectHonor;

    @ApiModelProperty(value = "2019年财务数据")
    @Length(message = "2019年财务数据不能超过个 {max} 字符", max = 1000)
    private String financialDataOne;

    @ApiModelProperty(value = "2020年财务数据")
    @Length(message = "2020年财务数据不能超过个 {max} 字符", max = 1000)
    private String financialDataTwo;

    @ApiModelProperty(value = "2021年财务数据")
    @Length(message = "2021年财务数据不能超过个 {max} 字符", max = 1000)
    private String financialDataThree;

    @ApiModelProperty(value = "附件json")
    @Length(message = "附件json不能超过个 {max} 字符", max = 5000)
    private String attachment;

    @ApiModelProperty(value = "逻辑删除，0：未删除，1：已删除")
    private Integer deleted;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    private Date updateTime;


}
