package com.xdf.creative.module.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.xdf.creative.base.entity.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * <p>
 * 园区入会申请
 * </p>
 *
 * @author lgw
 * @since 2020-04-09
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "WebParkEnter对象", description = "园区入会申请")
public class WebParkEnter extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键id")
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "联系人")
    private String linkMan;

    @ApiModelProperty(value = "职位")
    private String duty;

    @ApiModelProperty(value = "联系电话")
    private String mobile;

    @ApiModelProperty(value = "单位名称")
    private String companyName;

    @ApiModelProperty(value = "园区主键id")
    private Long parkId;

    @ApiModelProperty(value = "园区名称")
    private String parkName;

    @ApiModelProperty(value = "处理过程状态 1 待处理 2沟通中 3 已完结（入住） 4已完结（未入住）")
    private Integer processState;

    @ApiModelProperty(value = "处理描述")
    private String detail;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "审核人员ID")
    private Long auditUserId;

    @ApiModelProperty(value = "创建id")
    private Long createUserId;

}
