package com.xdf.creative.module.listener;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.xdf.creative.base.params.InfoContentHtmlEntity;
import com.xdf.creative.module.entity.InfoContent;
import com.xdf.creative.module.entity.InfoDetail;
import com.xdf.creative.module.service.InfoDetailService;
import com.xdf.creative.util.StringUtil;
import com.xdf.creative.util.image.HtmlUtils;
import org.jsoup.nodes.Document;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.data.mongodb.core.MongoTemplate;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;


@Component
public class InfoContentHtmlListener implements ApplicationListener<InfoContentHtmlListenEven> {
    @Autowired
    private InfoDetailService infoDetailService;

    @Autowired
    private MongoTemplate mongoTemplate;

    /**
     * 异步抓取html
     *
     * @param infoContentHtmlListenEven
     */
    @Async
    public void onApplicationEvent(InfoContentHtmlListenEven infoContentHtmlListenEven) {
        Object source = infoContentHtmlListenEven.getSource();
        if (source instanceof InfoContent) {
            //取出超链接
            InfoDetail infoDetail = infoDetailService.getOne(new QueryWrapper<InfoDetail>().eq("foreign_id",((InfoContent) source).getForeignId()));
            if(null!=infoDetail){
                String html = HtmlUtils.sendGetTwo(infoDetail.getHyperlink());
                if(!StringUtil.isEmpty(html)){
                    Document document = HtmlUtils.getDocument(html);
                    if(document.hasText()){
                        InfoContentHtmlEntity infoContentHtmlEntity = new InfoContentHtmlEntity();
                        String content =document.html();
                        infoContentHtmlEntity.setContent(content.replaceAll("data-src=\"","src=\"http://img01.sogoucdn.com/net/a/04/link?appid=100520033&url=").replaceFirst("<head>","<head><meta name=\"referrer\" content=\"no-referrer\" />"));
//                        infoContentHtmlEntity.setContent(content);
                        infoContentHtmlEntity.setContentText(document.text());
                        infoContentHtmlEntity.setInfoContId(((InfoContent) source).getId().toString());
                        infoContentHtmlEntity.setTitle(((InfoContent) source).getTitle());
                        mongoTemplate.save(infoContentHtmlEntity);
                    }
                }

            }
        }

    }
}
