package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoAttachmentQueryParam;
import com.xdf.creative.base.vo.creative.InfoAttachmentQueryVo;
import com.xdf.creative.module.entity.InfoAttachment;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 相关附件表 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
@Repository
public interface InfoAttachmentMapper extends BaseMapper<InfoAttachment> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoAttachmentQueryVo getInfoAttachmentById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param infoAttachmentQueryParam
     * @return
     */
    IPage<InfoAttachmentQueryVo> getInfoAttachmentPageList(@Param("page") Page page, @Param("param") InfoAttachmentQueryParam infoAttachmentQueryParam);

}
