package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoBackQueryParam;
import com.xdf.creative.base.vo.creative.InfoBackQueryVo;
import com.xdf.creative.module.entity.InfoBack;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 信息退回 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
@Repository
public interface InfoBackMapper extends BaseMapper<InfoBack> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoBackQueryVo getInfoBackById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param infoBackQueryParam
     * @return
     */
    IPage<InfoBackQueryVo> getInfoBackPageList(@Param("page") Page page, @Param("param") InfoBackQueryParam infoBackQueryParam);

}
