package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoContentKeywordQueryParam;
import com.xdf.creative.base.vo.creative.InfoContentKeywordQueryVo;
import com.xdf.creative.module.entity.InfoContentKeyword;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 信息和关键字关联表 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-11-27
 */
@Repository
public interface InfoContentKeywordMapper extends BaseMapper<InfoContentKeyword> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoContentKeywordQueryVo getInfoContentKeywordById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param infoContentKeywordQueryParam
     * @return
     */
    IPage<InfoContentKeywordQueryVo> getInfoContentKeywordPageList(@Param("page") Page page, @Param("param") InfoContentKeywordQueryParam infoContentKeywordQueryParam);

}
