package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoStoreQueryParam;
import com.xdf.creative.base.vo.creative.InfoStoreQueryVo;
import com.xdf.creative.module.entity.InfoStore;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 文件库 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-31
 */
@Repository
public interface InfoStoreMapper extends BaseMapper<InfoStore> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoStoreQueryVo getInfoStoreById(Serializable id);

    /**
     * 后台获取分页对象
     *
     * @param page
     * @param infoStoreQueryParam
     * @return
     */
    IPage<InfoStoreQueryVo> getInfoStorePageList(@Param("page") Page page, @Param("param") InfoStoreQueryParam infoStoreQueryParam);


    /**
     * 前端用户调用图片文件库
     *
     * @param page
     * @param infoStoreQueryParam
     * @return
     */
    IPage<InfoStoreQueryVo> getUserStorePage(@Param("page") Page page, @Param("param") InfoStoreQueryParam infoStoreQueryParam);


}
