package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoUrlQueryParam;
import com.xdf.creative.base.vo.creative.InfoUrlQueryVo;
import com.xdf.creative.module.entity.InfoUrl;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 相关链接 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
@Repository
public interface InfoUrlMapper extends BaseMapper<InfoUrl> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoUrlQueryVo getInfoUrlById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param infoUrlQueryParam
     * @return
     */
    IPage<InfoUrlQueryVo> getInfoUrlPageList(@Param("page") Page page, @Param("param") InfoUrlQueryParam infoUrlQueryParam);

}
