package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoWordManageQueryParam;
import com.xdf.creative.base.vo.creative.InfoWordManageQueryVo;
import com.xdf.creative.module.entity.InfoWordManage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 词管理 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-06
 */
@Repository
public interface InfoWordManageMapper extends BaseMapper<InfoWordManage> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoWordManageQueryVo getInfoWordManageById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param infoWordManageQueryParam
     * @return
     */
    IPage<InfoWordManageQueryVo> getInfoWordManagePageList(@Param("page") Page page, @Param("param") InfoWordManageQueryParam infoWordManageQueryParam);

}
