package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.OauthTokenQueryParam;
import com.xdf.creative.base.vo.creative.OauthTokenQueryVo;
import com.xdf.creative.module.entity.OauthToken;
import com.xdf.creative.module.entity.SysUserRole;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-05
 */
@Repository
public interface OauthTokenMapper extends BaseMapper<OauthToken> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    OauthTokenQueryVo getOauthTokenById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param oauthTokenQueryParam
     * @return
     */
    IPage<OauthTokenQueryVo> getOauthTokenPageList(@Param("page") Page page, @Param("param") OauthTokenQueryParam oauthTokenQueryParam);

    /**
     * 根据用户ID删除token
     * @param userId
     * @return
     */
    boolean removeTokenByUserId(Serializable userId);

    /**
     * 批量删除某角色下面的token
     * @param list
     * @return
     */
    boolean removeTokenByUserList(List<SysUserRole> list);

    /**
     * 根据token获取token对象
     * @param token
     * @return
     */
    OauthTokenQueryVo getOauthTokenByToken(String  token);

}
