package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.SysOperationLogQueryParam;
import com.xdf.creative.base.vo.creative.SysOperationLogQueryVo;
import com.xdf.creative.module.entity.SysOperationLog;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 操作日志 Mapper 接口
 * </p>
 *
 * @author lgw
 * @since 2020-03-02
 */
@Repository
public interface SysOperationLogMapper extends BaseMapper<SysOperationLog> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysOperationLogQueryVo getSysOperationLogById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param sysOperationLogQueryParam
     * @return
     */
    IPage<SysOperationLogQueryVo> getSysOperationLogPageList(@Param("page") Page page, @Param("param") SysOperationLogQueryParam sysOperationLogQueryParam);

}
