
package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.SysUserBackQueryParam;
import com.xdf.creative.base.params.creative.SysUserQueryParam;
import com.xdf.creative.base.vo.creative.SysUserBackQueryVo;
import com.xdf.creative.base.vo.creative.SysUserQueryVo;
import com.xdf.creative.module.entity.SysUser;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <pre>
 * 系统用户 Mapper 接口
 * </pre>
 *
 * @author DeanYe
 * @since 2019-10-24
 */
@Repository
public interface SysUserMapper extends BaseMapper<SysUser> {

    /**
     * 用户后台列表
     * @param page
     * @param sysUserBackQueryParam
     * @return
     */
    IPage<SysUserBackQueryVo> getSysUserBackList(@Param("page") Page page, @Param("param") SysUserBackQueryParam sysUserBackQueryParam);



    /**
     * 用户后台园区列表
     * @param page
     * @param sysUserBackQueryParam
     * @return
     */
    IPage<SysUserBackQueryVo> getParkUserBackList(@Param("page") Page page, @Param("param") SysUserBackQueryParam sysUserBackQueryParam);


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysUserQueryVo getSysUserById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param sysUserQueryParam
     * @return
     */
    IPage<SysUserQueryVo> getSysUserPageList(@Param("page") Page page, @Param("param") SysUserQueryParam sysUserQueryParam);


    SysUser getSysUserByUserName(@Param("username") String username);

}
