package com.xdf.creative.module.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.SysUserRoleQueryParam;
import com.xdf.creative.base.vo.creative.SysUserRoleQueryVo;
import com.xdf.creative.module.entity.SysUserRole;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.io.Serializable;

/**
 * <p>
 * 系统用户角色表 Mapper 接口
 * </p>
 *
 * @author DeanYe
 * @since 2019-10-30
 */
@Repository
public interface SysUserRoleMapper extends BaseMapper<SysUserRole> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    SysUserRoleQueryVo getSysUserRoleById(Serializable id);

    /**
     * 获取分页对象
     *
     * @param page
     * @param sysUserRoleQueryParam
     * @return
     */
    IPage<SysUserRoleQueryVo> getSysUserRolePageList(@Param("page") Page page, @Param(Constants.WRAPPER) SysUserRoleQueryParam sysUserRoleQueryParam);

}
