package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.InfoStoreAddParam;
import com.xdf.creative.base.params.creative.InfoStoreQueryParam;
import com.xdf.creative.base.params.creative.InfoStoreUrlParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.InfoStoreQueryVo;
import com.xdf.creative.module.entity.InfoStore;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;

/**
 * <p>
 * 文件库 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-03-31
 */
public interface InfoStoreService extends BaseService<InfoStore> {

    /**
     * 添加文件库
     * @param infoStoreAddParam
     * @return
     */
    ApiResult addStore(InfoStoreAddParam infoStoreAddParam);



    /**
     * 更改图片状态
     * @param id
     * @return
     */
    ApiResult delStore(Serializable id);


    /**
     * 获取分页对象
     *
     * @param infoStoreQueryParam
     * @return
     */
    PageTool<InfoStoreQueryVo> getUserStorePage(InfoStoreQueryParam infoStoreQueryParam) throws Exception;



    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    InfoStoreQueryVo getInfoStoreById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param infoStoreQueryParam
     * @return
     */
    PageTool<InfoStoreQueryVo> getInfoStorePageList(InfoStoreQueryParam infoStoreQueryParam) throws Exception;



    ApiResult getUrlStort(InfoStoreUrlParam infoStoreUrlParam);

}
