package com.xdf.creative.module.service;

import com.xdf.creative.base.params.creative.OauthTokenQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.OauthTokenQueryVo;
import com.xdf.creative.module.entity.OauthToken;
import com.xdf.creative.module.entity.SysUserRole;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author lgw
 * @since 2020-03-05
 */
public interface OauthTokenService extends BaseService<OauthToken> {

    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     */
    OauthTokenQueryVo getOauthTokenById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param oauthTokenQueryParam
     * @return
     */
    PageTool<OauthTokenQueryVo> getOauthTokenPageList(OauthTokenQueryParam oauthTokenQueryParam) throws Exception;


    /**
     * 根据用户ID删除token
     * @param userId
     * @return
     */
    boolean removeTokenByUserId(Serializable userId);

    /**
     * 批量删除某角色下面的token
     * @param list
     * @return
     */
    boolean removeTokenByUserList(List<SysUserRole> list);

    OauthTokenQueryVo getOauthTokenByToken(String  token);

}
