
package com.xdf.creative.module.service;


import com.xdf.creative.base.params.creative.AddSysRoleParam;
import com.xdf.creative.base.params.creative.SysRoleQueryParam;
import com.xdf.creative.base.service.BaseService;
import com.xdf.creative.base.vo.creative.SysRoleQueryVo;
import com.xdf.creative.module.entity.SysRole;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;

import java.io.Serializable;
import java.util.List;
import java.util.Set;

/**
 * <pre>
 * 系统角色 服务类
 * </pre>
 *
 * @author DeanYe
 * @since 2019-10-24
 */
public interface SysRoleService extends BaseService<SysRole> {


    /**
     * 添加角色
     *
     * @param sysRoleQueryParam
     * @return
     */
    ApiResult addSysRole(SysRoleQueryParam sysRoleQueryParam);


    /**
     * 修改角色
     *
     * @param sysRoleQueryParam
     * @return
     */
    ApiResult updateSysRole(SysRoleQueryParam sysRoleQueryParam);


    /**
     * 删除
     *
     * @param roleId
     * @return
     * @throws Exception
     */
    ApiResult deleteSysRole(Long roleId) throws Exception;

    /**
     * 回去角色列表
     *
     * @return
     */
    ApiResult getRoleList();


    /**
     * 根据ID获取查询对象
     *
     * @param id
     * @return
     * @throws Exception
     */
    SysRoleQueryVo getSysRoleById(Serializable id) throws Exception;

    /**
     * 获取分页对象
     *
     * @param sysRoleQueryParam
     * @return
     * @throws Exception
     */
    PageTool<SysRoleQueryVo> getSysRolePageList(SysRoleQueryParam sysRoleQueryParam) throws Exception;

    /**
     * 根据id校验角色是否存在并且已启用
     *
     * @param id
     * @return
     * @throws Exception
     */
    boolean isEnableSysRole(Long id) throws Exception;


    boolean isEnableSysRole(Set<Long> id) throws Exception;

    /**
     * 判断角色编码是否存在
     *
     * @param code
     * @return
     * @throws Exception
     */
    boolean isExistsByCode(String code) throws Exception;


    /**
     * 判断角色名称是否存
     *
     * @param roleName
     * @return
     * @throws Exception
     */
    boolean isExistsByRoleName(String roleName) throws Exception;


    List<SysRoleQueryVo> getUserRoleByUserId(Long userId);

}
