package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoAttachmentQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.InfoAttachmentQueryVo;
import com.xdf.creative.module.entity.InfoAttachment;
import com.xdf.creative.module.mapper.InfoAttachmentMapper;
import com.xdf.creative.module.service.InfoAttachmentService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 相关附件表 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-03-09
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class InfoAttachmentServiceImpl extends BaseServiceImpl<InfoAttachmentMapper, InfoAttachment> implements InfoAttachmentService {

    @Autowired
    private InfoAttachmentMapper infoAttachmentMapper;

    @Override
    public InfoAttachmentQueryVo getInfoAttachmentById(Serializable id) throws Exception {
        return infoAttachmentMapper.getInfoAttachmentById(id);
    }

    @Override
    public PageTool<InfoAttachmentQueryVo> getInfoAttachmentPageList(InfoAttachmentQueryParam infoAttachmentQueryParam) throws Exception {
        Page page = setPageParam(infoAttachmentQueryParam);
        IPage<InfoAttachmentQueryVo> iPage = infoAttachmentMapper.getInfoAttachmentPageList(page, infoAttachmentQueryParam);
        return new PageTool(iPage);
    }

}
