package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InfoContentKeywordQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.InfoContentKeywordQueryVo;
import com.xdf.creative.module.entity.InfoContentKeyword;
import com.xdf.creative.module.mapper.InfoContentKeywordMapper;
import com.xdf.creative.module.service.InfoContentKeywordService;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 信息和关键字关联表 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2020-11-27
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class InfoContentKeywordServiceImpl extends BaseServiceImpl<InfoContentKeywordMapper, InfoContentKeyword> implements InfoContentKeywordService {

    @Autowired
    private InfoContentKeywordMapper infoContentKeywordMapper;

    @Override
    public InfoContentKeywordQueryVo getInfoContentKeywordById(Serializable id) throws Exception {
        return infoContentKeywordMapper.getInfoContentKeywordById(id);
    }

    @Override
    public PageTool<InfoContentKeywordQueryVo> getInfoContentKeywordPageList(InfoContentKeywordQueryParam infoContentKeywordQueryParam) throws Exception {
        Page page = setPageParam(infoContentKeywordQueryParam);
        IPage<InfoContentKeywordQueryVo> iPage = infoContentKeywordMapper.getInfoContentKeywordPageList(page, infoContentKeywordQueryParam);
        return new PageTool(iPage);
    }

}
