package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.ObjectUtils;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.InnovationApplyQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.module.entity.InnovationApply;
import com.xdf.creative.module.mapper.InnovationApplyMapper;
import com.xdf.creative.module.service.InnovationApplyService;
import com.xdf.creative.util.page.PageTool;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 文创上海创新创业报名通道表 服务实现类
 * </p>
 *
 * @author KanXianggui
 * @since 2022-09-16
 */
@Service
public class InnovationApplyServiceImpl extends BaseServiceImpl<InnovationApplyMapper, InnovationApply> implements InnovationApplyService {

    @Override
    public PageTool<InnovationApply> getInfoInnovationApplyPageList(InnovationApplyQueryParam innovationApplyQueryParam) {
        Page page = setPageParam(innovationApplyQueryParam);
        LambdaQueryWrapper<InnovationApply> lambdaQueryWrapper = new LambdaQueryWrapper();
        //参赛组别
        if (ObjectUtils.isNotEmpty(innovationApplyQueryParam.getContestGroup())) {
            lambdaQueryWrapper.eq(InnovationApply::getContestGroup, innovationApplyQueryParam.getContestGroup());
        }
        //公司中文全称
        if (ObjectUtils.isNotEmpty(innovationApplyQueryParam.getCompanyName())) {
            lambdaQueryWrapper.like(InnovationApply::getCompanyName, innovationApplyQueryParam.getCompanyName());
        }
        //联系人姓名
        if (ObjectUtils.isNotEmpty(innovationApplyQueryParam.getContactsName())) {
            lambdaQueryWrapper.like(InnovationApply::getContactsName, innovationApplyQueryParam.getContactsName());
        }
        return new PageTool<>(this.page(page, lambdaQueryWrapper));
    }
}
