package com.xdf.creative.module.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.xdf.creative.base.params.creative.WxGroupQueryParam;
import com.xdf.creative.base.service.impl.BaseServiceImpl;
import com.xdf.creative.base.vo.creative.WxGroupQueryVo;
import com.xdf.creative.enums.StateEnum;
import com.xdf.creative.enums.StatusCode;
import com.xdf.creative.module.entity.WxGroup;
import com.xdf.creative.module.mapper.WxGroupMapper;
import com.xdf.creative.module.service.WxGroupService;
import com.xdf.creative.util.page.ApiResult;
import com.xdf.creative.util.page.PageTool;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.Serializable;


/**
 * <p>
 * 微信群二维码 服务实现类
 * </p>
 *
 * @author lgw
 * @since 2021-01-28
 */
@Slf4j
@Service
@Transactional(rollbackFor = Exception.class)
public class WxGroupServiceImpl extends BaseServiceImpl<WxGroupMapper, WxGroup> implements WxGroupService {

    @Autowired
    private WxGroupMapper wxGroupMapper;

    @Override
    public ApiResult enable(Serializable id) {
        WxGroup wxGroup = this.getById(id);
        if (null == wxGroup) {
            return ApiResult.error(StatusCode.FORM_SUBMIT_UPDATE_VERIFY);
        }
        if (StateEnum.ENABLE.getKey().equals(wxGroup.getState())) {
            wxGroup.setState(StateEnum.DISABLE.getKey());
        } else {
            wxGroup.setState(StateEnum.ENABLE.getKey());
        }
        this.saveOrUpdate(wxGroup);
        return ApiResult.ok();
    }

    @Override
    public WxGroupQueryVo getWxGroupById(Serializable id) throws Exception {
        return wxGroupMapper.getWxGroupById(id);
    }

    @Override
    public PageTool<WxGroupQueryVo> getWxGroupPageList(WxGroupQueryParam wxGroupQueryParam) throws Exception {
        Page page = setPageParam(wxGroupQueryParam);
        IPage<WxGroupQueryVo> iPage = wxGroupMapper.getWxGroupPageList(page, wxGroupQueryParam);
        return new PageTool(iPage);
    }

}
