package com.xdf.creative.support.listener;

import com.xdf.creative.base.params.WebParkEnterApplyEmailParam;
import com.xdf.creative.module.service.EmailService;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Component;


@Component
public class ParkEnterEmailListener implements ApplicationListener<ParkEnterEmailListenEven> {
    @Autowired
    private EmailService emailService;
    private final static Logger log = LoggerFactory.getLogger(ParkEnterEmailListener.class);

    /**
     * 监听查看活动详情异步保留点击量
     *
     * @param accountLogClickListenEven
     */
    @Async//("taskExecutor")
    // @EventListener
    public void onApplicationEvent(ParkEnterEmailListenEven accountLogClickListenEven) {
        Object source = accountLogClickListenEven.getSource();
        if (source instanceof WebParkEnterApplyEmailParam) {
            try {
                emailService.sendParkEnterMail((WebParkEnterApplyEmailParam) source);
            } catch (Exception e) {
                log.error("入住发送邮件失败,详细记录：" + source.toString() + ",错误信息:" + e.getMessage());
                e.printStackTrace();
            }
        }
    }
}
