package com.xdf.creative.util.image;
/**
 * @author : lgw
 * @date : 15:23 2020/12/23
 */

import org.apache.http.HttpEntity;
import org.apache.http.HttpStatus;
import org.apache.http.client.ClientProtocolException;
import org.apache.http.client.methods.CloseableHttpResponse;
import org.apache.http.client.methods.HttpGet;
import org.apache.http.client.utils.HttpClientUtils;
import org.apache.http.impl.client.CloseableHttpClient;
import org.apache.http.impl.client.HttpClients;
import org.apache.http.util.EntityUtils;
import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.URL;
import java.net.URLConnection;
import java.util.List;
import java.util.Map;

/**
 * @ClassName HtmlUtils
 * @Date 2020/12/23 15:23
 * @Version 1.0
 **/

public class HtmlUtils {
    private static Logger log = LoggerFactory.getLogger(HtmlUtils.class);
    public static String sendGetOne(String url) {
        String result = "";
        BufferedReader in = null;
        try {
            String urlNameString = url;
            URL realUrl = new URL(urlNameString);
            // 打开和URL之间的连接
            URLConnection connection = realUrl.openConnection();
            // 设置通用的请求属性
            connection.setRequestProperty("accept", "*/*");
            connection.setRequestProperty("connection", "Keep-Alive");
            connection.setRequestProperty("user-agent",
                    "Mozilla/5.0 (Windows NT 6.1) AppleWebkit/537.36 (KHTML, like Gecko) Chrome/74.0.3729.16 Safari/537.36");
            // 建立实际的连接
            connection.connect();
            // 获取所有响应头字段
            Map<String, List<String>> map = connection.getHeaderFields();
            // 定义 BufferedReader输入流来读取URL的响应
            in = new BufferedReader(new InputStreamReader(
                    connection.getInputStream())); //这里如果出现乱码，请使用带编码的InputStreamReader构造方法，将需要的编码设置进去
            String line;
            while ((line = in.readLine()) != null) {
                result += line;
            }
        } catch (Exception e) {
            log.error(url+"获取失败："+e.getMessage());
            e.printStackTrace();
        }
        // 使用finally块来关闭输入流
        finally {
            try {
                if (in != null) {
                    in.close();
                }
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
        return result;
    }


    public static String sendGetTwo(String url) {
        CloseableHttpClient httpClient = HttpClients.createDefault();
        CloseableHttpResponse response = null;
        //2.创建get请求，相当于在浏览器地址栏输入 网址
        HttpGet request = new HttpGet(url);
        String html = "";
        request.setHeader("User-Agent", "Mozilla/5.0 (Windows NT 6.1) AppleWebkit/537.36 (KHTML, like Gecko) Chrome/74.0.3729.16 Safari/537.36");
        try {
            //3.执行get请求，相当于在输入地址栏后敲回车键
            response = httpClient.execute(request);
            //4.判断响应状态为200，进行处理
            if (response.getStatusLine().getStatusCode() == HttpStatus.SC_OK) {
                //5.获取响应内容
                HttpEntity httpEntity = response.getEntity();
                html = EntityUtils.toString(httpEntity, "utf-8");
            } else {
                //如果返回状态不是200，比如404（页面不存在）等，根据情况做处理，这里略
                log.error(url+"获取失败返回状态不是200："+EntityUtils.toString(response.getEntity(), "utf-8"));
                html ="";
            }
        } catch (ClientProtocolException e) {
            log.error(url+"获取失败："+e.getMessage());
            e.printStackTrace();
        } catch (IOException e) {
            log.error(url+"获取失败："+e.getMessage());
            e.printStackTrace();
        } finally {
            //6.关闭
            HttpClientUtils.closeQuietly(response);
            HttpClientUtils.closeQuietly(httpClient);
        }
        return html;
    }


    public static Document getDocument(String html) {
        //获取的数据，存放在到Bid的对象中，自己可以重新建立一个对象存储
         return Jsoup.parse(html);
    }

    public static String getData(String html) {
        //获取的数据，存放在到Bid的对象中，自己可以重新建立一个对象存储
        Document document = Jsoup.parse(html);
        if (document.hasText()) {
            return document.text();
        } else {
            return "";
        }
    }
       /*
       //像js一样，通过标签获取title
        System.out.println(document.getElementsByTag("title").first());
        //像js一样，通过id 获取文章列表元素对象
        Element postList = document.getElementById("post_list");
        Elements postItems = postList.getElementsByClass("post_item");
        for (Element postItem : postItems) {
            //像jquery选择器一样，获取文章标题元素
            Elements titleEle = postItem.select(".post_item_body a[class='titlelnk']");
            System.out.println("文章标题:" + titleEle.text());
            ;
            System.out.println("文章地址:" + titleEle.attr("href"));
            Elements footEle = postItem.select(".post_item_foot a[class='lightblue']");
            System.out.println("文章作者:" + footEle.text());
            ;
            System.out.println("作者主页:" + footEle.attr("href"));
            System.out.println("*********************************");

        }*/


    public static void main(String args[]) {
        String url = "https://mp.weixin.4b4591f203f&token=738234688&lang=zh_CN#rd";
        String html = sendGetTwo(url);
        System.out.println(getData(html));
    }
}
