package com.xdf.creative.util.image;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.io.*;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;

public class ImageUtils {


    private static Logger log = LoggerFactory.getLogger(ImageUtils.class);
    public static void main(String[] args) throws Exception {
//                String path ="https://mmbiz.qpic.cn/mmbiz_png/qdWB7wH8tTr9fREsrH8pjYA86OuqHoP2IAWiaicNW88AFWwQFALKb27tVFhIGHrWRNlD5dAtK07o6C4oe0t8ic15Q/640?wx_fmt=png&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1";

        String path = "https://mmbiz.qpic.cn/sz_mmbiz_jpg/qZZ1X4EPLhJUxbNWkMicial0ASalv9CWNyRvjT9b7xbOp2PfuIZgTbpRxicosibQatjJTvicvtos6FichyibKBpuVPSgQ/640?wx_fmt=jpeg&tp=webp&wxfrom=5&wx_lazy=1&wx_co=1";
        String filePath = "D:/xdf_image/xdf/";
        String fileType ="jpg";
        String filename ="2";

        readFileByUrl(filePath,filename,fileType,path);
        //new一个URL对象

    }

    public static boolean readFileByUrl(String filePath, String filename, String fileType, String path) {

        URL url = null;
        try {
            url = new URL(path);
            //打开链接
            HttpURLConnection conn = null;
            conn = (HttpURLConnection) url.openConnection();
            //设置请求方式为"GET"
            conn.setRequestMethod("GET");
            //超时响应时间为5秒
            conn.setConnectTimeout(5 * 1000);
            conn.setRequestProperty("User-Agent", "Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)");
            //通过输入流获取图片数据
            InputStream inStream = conn.getInputStream();
            //得到图片的二进制数据，以二进制封装得到数据，具有通用性
            byte[] data = readInputStream(inStream);
            //new一个文件对象用来保存图片，默认保存当前工程根目录
            File imageFile = new File(filePath+filename+"."+fileType);
            //创建输出流
            FileOutputStream outStream = new FileOutputStream(imageFile);
            //写入数据
            outStream.write(data);
            //关闭输出流
            outStream.close();
        } catch (MalformedURLException e) {
            e.printStackTrace();
            log.error("获取网络图片URL初始化异常，地址："+path);
            return false;
        } catch (IOException e) {
            e.printStackTrace();
            log.error("获取网络图片连接异常，地址："+path);
            return false;
        } catch (Exception e) {
            e.printStackTrace();
            log.error("获取网络图文件输出流异常，地址："+path);
            return false;
        }

        return true;
    }


    /**
     * 写入文件
     *
     * @param inStream
     * @return
     * @throws Exception
     */
    public static byte[] readInputStream(InputStream inStream) throws Exception {
        ByteArrayOutputStream outStream = new ByteArrayOutputStream();
        //创建一个Buffer字符串
        byte[] buffer = new byte[1024];
        //每次读取的字符串长度，如果为-1，代表全部读取完毕
        int len = 0;
        //使用一个输入流从buffer里把数据读取出来
        while ((len = inStream.read(buffer)) != -1) {
            //用输出流往buffer里写入数据，中间参数代表从哪个位置开始读，len代表读取的长度
            outStream.write(buffer, 0, len);
        }
        //关闭输入流
        inStream.close();
        //把outStream里的数据写入内存
        return outStream.toByteArray();
    }

}