package com.xdf.creative.util.tree;

import org.apache.commons.lang.StringUtils;

/**
 * 构建树时，需要对树的构成进行配置
 *
 * @author chen
 * @Date 2011-4-21
 */
public class TreeConfig {
    /**
     * 主键字段
     */
    String idField;
    /**
     * 父节点字段
     */
    String parentField;
    /**
     * 根节点字段
     */
    String rootField;
    /**
     * 根节点值
     */
    String rootValue;
    /**
     * 叶节点字段，如果为空，对节点是否为叶子节点将由每个节点是否有子节点来判定
     */
    String leafField;

    public TreeConfig() {
    }

    public TreeConfig(String idField, String parentField, String rootField, String rootValue, String leafField) {
        this.idField = idField;
        this.parentField = parentField;
        this.rootField = rootField;
        this.rootValue = rootValue;
        this.leafField = leafField;
    }

    /**
     * 如果配置参数不完全，将返回false
     *
     * @return
     * @author chen
     * @Date 2011-4-21
     */
    public boolean isNull() {
        //当leafField为空时，将要把是否有子节点来判定是否是叶子节点
        if (/*StringUtils.isBlank(this.displayField) || */StringUtils.isBlank(this.parentField)
                || StringUtils.isBlank(this.rootField) || StringUtils.isBlank(this.rootValue)
                || StringUtils.isBlank(this.idField))
            return true;
		/*//如果设置显示叶子节点，但并没有设置节点字段，将返回为空
		else if(this.getShowLeaf() && StringUtils.isBlank(this.getLeafField()))
			return true;*/
        return false;
    }

    public String getIdField() {
        return idField;
    }

    public void setIdField(String idField) {
        this.idField = idField;
    }

    public String getRootField() {
        return rootField;
    }

    public void setRootField(String rootField) {
        this.rootField = rootField;
    }

    public String getParentField() {
        return parentField;
    }

    public void setParentField(String parentField) {
        this.parentField = parentField;
    }

    public String getRootValue() {
        return rootValue;
    }

    public void setRootValue(String returnValue) {
        this.rootValue = returnValue;
    }

    public String getLeafField() {
        return leafField;
    }

    public void setLeafField(String leafField) {
        this.leafField = leafField;
    }
}
